import { DialogSOP } from '../../libappsop/dialogsop';
import { EditFieldSOP } from '../../libappsop/editfieldsop';

export interface DialogTimeCapacityFields {
  Efficiency?: string;
}

export class DialogTimeCapacity extends DialogSOP<DialogTimeCapacityFields> {
  public efEfficiency = new EditFieldSOP('EditFieldEfficiency');

  public constructor() {
    super('DialogCreateEditUnitAvailability');

    // Set UI element mapping to pair the UI name to the UI element for use in DialogSOP to find the UI object to set value or verify value
    // This prevents each new Dialog to duplicate code just to set/verify UI element value
    this._uiMap.set('Efficiency', this.efEfficiency);
  }
}
